Subject: Re: IESG evaluation of our documents, current version

From: Cullen Jennings <[email-masked]>
Date: Tue, 15 Jul 2008 10:34:46 -0700

I've lost track of where we are on this one.

Does the WG believe we need to make sure these documents don't come  
into force before the trust statement is ready? If yes, propose some  
IESG note or other modification to make it so. If no, just let me know  
why and I will clear.

Thanks, Cullen

On Jun 27, 2008, at 10:12 AM, Cullen Jennings wrote:

>
> On Jun 24, 2008, at 2:33 PM, Brian E Carpenter wrote:
>>
>>
>> The Trust needs to tell us how long it thinks this will take, but  
>> it seems
>> to me that the IESG could proceed with approval with a condition
>> attached ("this approval becomes effective when the Trust does X"),
>> to avoid a deadly embrace. Then it will still be necessary to  
>> synchronise
>> the RFC Editor with the Trust (and the I-D tools too, which was
>> the hardest thing last time we changed the boilerplate), but at least
>> the IESG will be out of the loop.
>>
>>    Brian
>
> This sounds like a good plan - I'm trying to think of the mechanics  
> of how to cause this to happen. What about  we ask the the RFC  
> Editor to hold this in Auth 48 until the authors have verified that  
> the Trust has published a license agreement that meets the  
> requirements of this document. Then we add a note to the document  
> that this document will come into force only when published by the  
> RFC Editor and not  as soon as it is approved by IESG. Seems like  
> this would solve the sequencing issues and would also avoid the IESG  
> having to keep track of when the trust documents got finished.
>
> Sound reasonable? Could you propose a RFC Editor and IESG note that  
> could be attached? Or propose some other plan that looks like a good  
> one to you. I'm happy with any plan that solves this problem. I'd  
> need to make sure other IESG folks were OK but I don't anticipate  
> any problems.
>
> Cullen
>
>

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 16 Jul 2008 14:19:04 +1200

Cullen,

I believe Harald is adrift at the moment.

Last I saw, nobody disagreed with what you said:
>> What about  we ask the the RFC Editor to
>> hold this in Auth 48 until the authors have verified that the Trust
>> has published a license agreement that meets the requirements of this
>> document. Then we add a note to the document that this document will
>> come into force only when published by the RFC Editor and not  as soon
>> as it is approved by IESG.

Seems like a simple RFC Editor note is needed, saying exactly those things.

   Brian

On 2008-07-16 05:34, Cullen Jennings wrote:
> Does the WG believe we need to make sure these documents don't come into
> force before the trust statement is ready? If yes, propose some IESG
> note or other modification to make it so. If no, just let me know why
> and I will clear.
> 
> Thanks, Cullen
> 
>>> The Trust needs to tell us how long it thinks this will take, but it
>>> seems
>> This sounds like a good plan - I'm trying to think of the mechanics of
>> how to cause this to happen. What about  we ask the the RFC Editor to
>> hold this in Auth 48 until the authors have verified that the Trust
>> has published a license agreement that meets the requirements of this
>> document. Then we add a note to the document that this document will
>> come into force only when published by the RFC Editor and not  as soon
>> as it is approved by IESG. Seems like this would solve the sequencing
>> issues and would also avoid the IESG having to keep track of when the
>> trust documents got finished.
>>
>> one to you. I'm happy with any plan that solves this problem. I'd need
>> to make sure other IESG folks were OK but I don't anticipate any
>> problems.
>>
>> Cullen
>>
>>
> 
>

---

From: Cullen Jennings <[email-masked]>
Date: Tue, 15 Jul 2008 20:03:59 -0700

I certainly understand this being a busy time for folks.

Russ, if this looks reasonable to you let's do this and if you and WG  
later decide this is the wrong path I'm fine with it getting changed  
to whatever is an appropriate solutions. I'm proposing an RFC Ed notes  
along lines of:

RFC Ed Note:

This document will not come into force until it is published as an  
RFC. RFC Editor, please do not publish this RFC until you get  
confirmation from authors that the Trust has published a license  
agreement that meets the requirements of this document.

On Jul 15, 2008, at 7:19 PM, Brian E Carpenter wrote:

> need

---

From: Harald Alvestrand <[email-masked]>
Date: Wed, 16 Jul 2008 10:36:29 +0200

I believe either the iesg or the trust should send the note, not the  
authors - otherwise this is good with me. Harald, on holidays

Sent from my iPhone

On 16 Jul 2008, at 05:03, Cullen Jennings <[email-masked]> wrote:

> Russ, if this looks reasonable to you let's do this and if you and  
> WG later decide this is the wrong path I'm fine with it getting  
> changed to whatever is an appropriate solutions. I'm proposing an  
> RFC Ed notes along lines of:
>
> RFC Ed Note:
>

---

From: Russ Housley <[email-masked]>
Date: Wed, 16 Jul 2008 10:24:17 -0400

Cullen:

I think that the IETF Chair or IETF Trust Chair are the right people 
to provide the RFC Editor with assurance that the required license 
has been posted.  Also, I changed the wording to link both documents 
since the IPR WG has requested that the documents be published at the 
same time.

I added this note in the Data Tracker:

   These documents will not come into force until it is published as an
   RFC.  RFC Editor, please do not publish them until you get
   confirmation from the IETF Chair or IETF Trust Chair that the IETF
   Trust has published a license agreement that meets the requirements
   contained in these documents.

Russ

---

From: "TS Glassey" <[email-masked]>
Date: Wed, 16 Jul 2008 08:10:14 -0700

Russ - are you saying that there is a 'formal responsibility' to perform 
here? If so then when a NEW Chair is inducted they will have to formally 
agree to be bound by this - meaning that the Chair and ALL ISEG member's 
will have to sign Service Contracts defining their
        a) Responsibilities
        b) Do's and Dont's
        c) And providing an assurance that they formally represent the Legal 
Interests (i.e. they possess an enduring Power Of Attorney - POA) for that 
sponsor so that they may act on behalf of their Sponsor(s)).

As to why - it should be pretty obvious... Now there are no Service 
Contracts and as such there is no real Role and Responsibility Description 
therein.

Todd Glassey

----- Original Message ----- 
From: "Russ Housley" <[email-masked]>
To: "Cullen Jennings" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Wednesday, July 16, 2008 7:24 AM
Subject: Re: IESG evaluation of our documents, current version

> Cullen:
>
> I think that the IETF Chair or IETF Trust Chair are the right people to 
> provide the RFC Editor with assurance that the required license has been 
> posted.  Also, I changed the wording to link both documents since the IPR 
> WG has requested that the documents be published at the same time.
>
> No virus found in this incoming message.
> Checked by AVG - http://www.avg.com Version: 8.0.138 / Virus Database: 
> 270.4.11/1554 - Release Date: 7/15/2008 6:03 PM
>
>
>

---

From: Russ Housley <[email-masked]>
Date: Wed, 16 Jul 2008 12:20:22 -0400

Todd:

I'm simply saying that both myself and Ed will be aware whether or 
not the license is posted, so we can be the point of contact for the 
confirmation that it has been posted.  I do not see Cullen's as 
asking for anything more than confirmation of the posting.

Russ

At 11:10 AM 7/16/2008, TS Glassey wrote:
>Russ - are you saying that there is a 'formal responsibility' to 
>perform here? If so then when a NEW Chair is inducted they will have 
>to formally agree to be bound by this - meaning that the Chair and 
>ALL ISEG member's will have to sign Service Contracts defining their
>        a) Responsibilities
>        b) Do's and Dont's
>        c) And providing an assurance that they formally represent 
> the Legal Interests (i.e. they possess an enduring Power Of 
> Attorney - POA) for that sponsor so that they may act on behalf of 
> their Sponsor(s)).
>
>Contracts and as such there is no real Role and Responsibility 
>Description therein.
>
>Todd Glassey
>
>----- Original Message ----- From: "Russ Housley" <[email-masked]>
>>I think that the IETF Chair or IETF Trust Chair are the right 
>>people to provide the RFC Editor with assurance that the required 
>>license has been posted.  Also, I changed the wording to link both 
>>documents since the IPR WG has requested that the documents be 
>>published at the same time.
>>
>>Checked by AVG - http://www.avg.com Version: 8.0.138 / Virus 
>>Database: 270.4.11/1554 - Release Date: 7/15/2008 6:03 PM
>>
>>
>

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 16 Jul 2008 10:21:02 -0700

I cleared.  I have no problem with IETF Chair being one to OK this.  
I'm not keen on Trust doing the OK this because the whole point is for  
someone to circle back and check that what the Trust did was  
sufficient to actually work but this looks close enough that we should  
move forward.

Thanks, Cullen

On Jul 16, 2008, at 7:24 AM, Russ Housley wrote:

> since the IPR WG has requested that the documents be published at  
> the same time.
>

---

From: "TS Glassey" <[email-masked]>
Date: Wed, 16 Jul 2008 11:47:22 -0700

Russ - that's not enough. Being 'aware' of something if that awareness 
cannot be demonstrated  is not sufficient to assure in a legal sense that 
something happens. So what I am saying is that any formal responsibilities 
which are role specific need to be codified in a set of practice statements. 
As an Auditor I can point out any number of legal precedents that make this 
true...

Todd Glassey

----- Original Message ----- 
From: "Russ Housley" <[email-masked]>
To: "TS Glassey" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Wednesday, July 16, 2008 9:20 AM
Subject: Re: IESG evaluation of our documents, current version

> Todd:
>
> I'm simply saying that both myself and Ed will be aware whether or not the 
> license is posted, so we can be the point of contact for the confirmation 
> that it has been posted.  I do not see Cullen's as asking for anything 
> more than confirmation of the posting.
>
> Russ
>
>
>>        c) And providing an assurance that they formally represent the 
>> Legal Interests (i.e. they possess an enduring Power Of Attorney - POA) 
>> for that sponsor so that they may act on behalf of their Sponsor(s)).
>>
> 270.5.0/1555 - Release Date: 7/16/2008 6:43 AM
>
>

---

From: Russ Housley <[email-masked]>
Date: Thu, 17 Jul 2008 15:54:51 -0400

Cullen:

The IETF Trust has already posted a draft and received significant 
comment.  A revision to be available before Dublin, and it will be 
discussed in the IPR WG session.  So, the IETF Trust is using an open 
process as they promised.  So, the issue to me is that the RFC not be 
published before that process comes to closure.

Russ

P.S.  The IETF Chair is one of the trustees of the IETF Trust.

---

From: Russ Housley <[email-masked]>
Date: Fri, 18 Jul 2008 16:07:27 -0400

My messages on this thread have nothing to do with any comments you 
may have raised.  I was responding to concerns raised by Cullen, who 
does not want the RFC published until the IETF Trust has made their 
posting that will be referenced by the RFC.  Either Ed or I can 
confirm that the IETF Trust posting has occurred to the RFC Editor 
when they believe the document is otherwise read to be published as an RFC.

Russ

At 02:47 PM 7/16/2008, TS Glassey wrote:
>Russ - that's not enough. Being 'aware' of something if that 
>awareness cannot be demonstrated  is not sufficient to assure in a 
>legal sense that something happens. So what I am saying is that any 
>formal responsibilities which are role specific need to be codified 
>in a set of practice statements. As an Auditor I can point out any 
>number of legal precedents that make this true...
>
>Todd Glassey
>
>>not the license is posted, so we can be the point of contact for 
>>the confirmation that it has been posted.  I do not see Cullen's as 
>>>perform here? If so then when a NEW Chair is inducted they will 
>>>have to formally agree to be bound by this - meaning that the 
>>>Chair and ALL ISEG member's will have to sign Service Contracts defining their
>>>        a) Responsibilities
>>>        b) Do's and Dont's
>>> Attorney - POA) for that sponsor so that they may act on behalf 
>>> of their Sponsor(s)).
>>>
>>>As to why - it should be pretty obvious... Now there are no 
>>>Service Contracts and as such there is no real Role and 
>>>Responsibility Description therein.
>>>
>>>Todd Glassey
>>>
>>>>license has been posted.  Also, I changed the wording to link 
>>>>both documents since the IPR WG has requested that the documents 
>>>>be published at the same time.
>>>>
>>Database: 270.5.0/1555 - Release Date: 7/16/2008 6:43 AM
>>
>

---

From: "TS Glassey" <[email-masked]>
Date: Fri, 18 Jul 2008 13:14:00 -0700

Russ -

----- Original Message ----- 
From: "Russ Housley" <[email-masked]>
To: "TS Glassey" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, July 18, 2008 1:07 PM
Subject: Re: IESG evaluation of our documents, current version

> My messages on this thread have nothing to do with any comments you may 
> have raised.  I was responding to concerns raised by Cullen, who does not 
> want the RFC published until the IETF Trust has made their posting that 
> will be referenced by the RFC.

> Either Ed or I can confirm that the IETF Trust posting has occurred to the 
> RFC Editor when they believe the document is otherwise read to be 
> published as an RFC.

Uh... "believe"? - When the Editors publishes something they need to more 
than believe that something is ready. They need to be capable of 
demonstrating to anyone's concern that this is true, including US Courts.

>>which are role specific need to be codified in a set of practice 
>>statements. As an Auditor I can point out any number of legal precedents 
>>that make this true...
>>
>>Todd Glassey
>>
>>>I'm simply saying that both myself and Ed will be aware whether or not 
>>>the license is posted, so we can be the point of contact for the 
>>>confirmation that it has been posted.  I do not see Cullen's as asking 
>>>for anything more than confirmation of the posting.
>>>
>>>Russ
>>>
>>>
>>>>>provide the RFC Editor with assurance that the required license has 
>>>>>been posted.  Also, I changed the wording to link both documents since 
>>>>>the IPR WG has requested that the documents be published at the same 
>>>>>time.
>>>>>
> 270.5.1/1560 - Release Date: 7/18/2008 6:47 AM
>
>

---

From: Russ Housley <[email-masked]>
Date: Fri, 18 Jul 2008 16:50:34 -0400

Todd:

>>may have raised.  I was responding to concerns raised by Cullen, 
>>who does not want the RFC published until the IETF Trust has made 
>>their posting that will be referenced by the RFC.
>
>>Either Ed or I can confirm that the IETF Trust posting has occurred 
>>to the RFC Editor when they believe the document is otherwise read 
>>to be published as an RFC.
>
>Uh... "believe"? - When the Editors publishes something they need to 
>more than believe that something is ready. They need to be capable 
>of demonstrating to anyone's concern that this is true, including US Courts.

The IETF Standards process is being used to demonstrate rough 
consensus for the document content.

Russ

---

From: "TS Glassey" <[email-masked]>
Date: Fri, 18 Jul 2008 14:09:18 -0700

No Russ, since there is no definition of VETTING or what CONSENSUS in the 
INDUSTRY consists of, this is NOT what is happening. The process is 
currently used in clique-mode to create IP initiatives and advance them 
while stopping or slowing others down.

Reality is reality Russ. :-)

Todd

----- Original Message ----- 
From: "Russ Housley" <[email-masked]>
To: "TS Glassey" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, July 18, 2008 1:50 PM
Subject: Re: IESG evaluation of our documents, current version

>>>Either Ed or I can confirm that the IETF Trust posting has occurred to 
>>>the RFC Editor when they believe the document is otherwise read to be 
>>>published as an RFC.
>>
> The IETF Standards process is being used to demonstrate rough consensus 
> for the document content.
>
> Russ
>